%define haproxy_user    haproxy
%define haproxy_group   %{haproxy_user}
%define haproxy_homedir %{_localstatedir}/lib/haproxy
%define haproxy_confdir %{_sysconfdir}/haproxy
%define haproxy_datadir %{_datadir}/haproxy
%global _hardened_build 1

%global debug_package %{nil}
Name:		DDK-haproxy-build

# We need lead=1.0 because the last tagged version is 1.0.13
Version:	1.0.0.git.13760.b7bbac6f
Release:	1%{?dist}
Summary:        testing building haproxy with rpkg	

BuildRequires:  gcc
BuildRequires:  pcre-devel
BuildRequires:  openssl-devel
BuildRequires:  make
BuildRequires:  zlib-devel

Requires(pre):  shadow-utils

Conflicts:          haproxy

Group:		Applications/File
License:	GPLv2+
URL:		https://pagure.io/DDK/DDK-haproxy-build/
Source0:	DDK-haproxy-build-b7bbac6f.tar.gz


%description
testing building haproxy with rpkg



%prep
%setup -T -b 0 -q -n DDK-haproxy-build

%build

make %{?_smp_mflags} CPU="generic" TARGET="linux-glibc" USE_OPENSSL=1 USE_PCRE=1 USE_SLZ=1 USE_CRYPT_H=1 USE_LINUX_TPROXY=1 USE_GETADDRINFO=1 ADDINC="%{build_cflags}" ADDLIB="%{build_ldflags}"

#make OPTIMIZE="%{build_cflags}" LDFLAGS="%{build_ldflags}"
#popd

%install
make install-bin DESTDIR=%{buildroot} PREFIX=%{_prefix} TARGET="linux-glibc"
make install-man DESTDIR=%{buildroot} PREFIX=%{_prefix}
%{__install} -d -m 0755 %{buildroot}%{haproxy_homedir}
%{__install} -d -m 0755 %{buildroot}%{haproxy_datadir}
%{__install} -d -m 0755 %{buildroot}%{haproxy_confdir}
%{__install} -d -m 0755 %{buildroot}%{_bindir}

%files

%dir %{haproxy_confdir}
%dir %{haproxy_datadir}
%dir %{haproxy_homedir}
%{_sbindir}/haproxy
%{_mandir}/man1/*
